summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Rogge2012-02-21 16:35:34 +0100
committer Erik Hanson2012-03-29 17:17:25 +0200
commit559b008188d2b8f8fd47974e2ddf4bbc90fe543a (patch)
tree06d9a5184d1471a481da48433dba0c3c3509c423
parentcd73a16d181616534df3d09e9503dd23e5425619 (diff)
downloadslackbuilds-559b008188d2b8f8fd47974e2ddf4bbc90fe543a.tar.gz
games/firestorm: Added (alternative client for SecondLife)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--games/firestorm/README10
-rw-r--r--games/firestorm/doinst.sh3
-rw-r--r--games/firestorm/firestorm.SlackBuild91
-rw-r--r--games/firestorm/firestorm.desktop12
-rw-r--r--games/firestorm/firestorm.info10
-rw-r--r--games/firestorm/slack-desc19
6 files changed, 145 insertions, 0 deletions
diff --git a/games/firestorm/README b/games/firestorm/README
new file mode 100644
index 0000000000..13c52155e8
--- /dev/null
+++ b/games/firestorm/README
@@ -0,0 +1,10 @@
+Firestorm Viewer is an alternative client program for SecondLife, a
+virtual world developed by Linden Lab accessible via the internet.
+
+Firestorm Viewer is based on Linden Lab's Viewer versions 2 and 3.
+It has loads of new and innovative features added to improve
+performance, increase usability, and generally enhance the user's
+overall experience.
+
+Firestorm Viewer is a 32 bit application and does not run on standard
+64 bit systems.
diff --git a/games/firestorm/doinst.sh b/games/firestorm/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/firestorm/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/firestorm/firestorm.SlackBuild b/games/firestorm/firestorm.SlackBuild
new file mode 100644
index 0000000000..38503d0ecf
--- /dev/null
+++ b/games/firestorm/firestorm.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for Phoenix Firestorm
+#
+# This script will repackage the binary distribution into a Slackware package
+#
+# Martin Rogge <martin_rogge@users.sourceforge.net>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=firestorm
+VERSION=${VERSION:-3.2.2.24336}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "i686" ] ; then
+ echo "Architecture other than i686 is not supported by upstream at this point."
+ exit
+fi
+
+set -e
+
+BASENAME="Phoenix_Firestorm-Release_i686_$VERSION"
+FILENAME="${BASENAME}.tar.bz2"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BASENAME
+tar xvjf $CWD/$FILENAME
+cd $BASENAME
+
+chown -R root:root .
+chmod -R u+rw-s,go+r-ws .
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM # does the same as the install script in the archive
+
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/bash
+cd /opt/$PRGNAM
+exec /opt/$PRGNAM/firestorm
+EOF
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+install -m 0644 -p -D $TMP/$BASENAME/firestorm_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FIRESTORM_DESKTOPINSTALL.txt README*.txt VivoxAUP.txt featuretable_linux.txt gpu_table.txt licenses.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/firestorm/firestorm.desktop b/games/firestorm/firestorm.desktop
new file mode 100644
index 0000000000..97f52f213f
--- /dev/null
+++ b/games/firestorm/firestorm.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Type=Application
+Version=1.0
+Encoding=UTF-8
+Name=Firestorm Viewer
+GenericName=Second Life Client
+Icon=firestorm.png
+Exec=firestorm
+Terminal=false
+StartupNotify=false
+Categories=Application;Game;ActionGame
+
diff --git a/games/firestorm/firestorm.info b/games/firestorm/firestorm.info
new file mode 100644
index 0000000000..e5d0b312ee
--- /dev/null
+++ b/games/firestorm/firestorm.info
@@ -0,0 +1,10 @@
+PRGNAM="firestorm"
+VERSION="3.2.2.24336"
+HOMEPAGE="http://www.phoenixviewer.com/"
+DOWNLOAD="http://downloads.phoenixviewer.com/Linux/Phoenix_Firestorm-Release_i686_3.2.2.24336.tar.bz2"
+MD5SUM="4604350f893e5f82512efb5db638514c"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+MAINTAINER="Martin Rogge"
+EMAIL="martin_rogge@users.sourceforge.net"
+APPROVED="Niels Horn"
diff --git a/games/firestorm/slack-desc b/games/firestorm/slack-desc
new file mode 100644
index 0000000000..63d4f5b47d
--- /dev/null
+++ b/games/firestorm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+firestorm: firestorm (alternative client for SecondLife)
+firestorm:
+firestorm: Firestorm Viewer is an alternative client program for SecondLife, a
+firestorm: virtual world developed by Linden Lab accessible via the internet.
+firestorm:
+firestorm: Firestorm Viewer is based on Linden Lab's Viewer versions 2 and 3.
+firestorm: It has loads of new and innovative features added to improve
+firestorm: performance, increase usability, and generally enhance the user's
+firestorm: overall experience.
+firestorm:
+firestorm: